Page MenuHomePhabricator

Make sure all Notification changes are reflected in documentation
Closed, ResolvedPublic

Description

Motivation: Having introduced two new notification types, we should make sure that documentation reflects the changes. The same goes for improvements we did to the general sending of mentions.

Deadline: This should not be done before the changes have been merged, but as soon as possible after.

Changes to be documented - General mention code:

Changes to be documented - New notifications:

  • All new notification types can be found in T140224: Bundle mention notifications per save
  • Flow does not receive mention notifications, since the UI already checks for stuff being send out. Only exception: Limit of users that can be mentioned at once

Existing documentation for mentions that should be updated:

Background:
One wish of the German-speaking community wishlist 2015 was to be informed about mentions you sent (T139962)

Event Timeline

Lea_WMDE created this task.Aug 5 2016, 10:56 AM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptAug 5 2016, 10:56 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lea_WMDE updated the task description. (Show Details)Aug 5 2016, 10:57 AM
Lea_WMDE added a subscriber: WMDE-leszek.

@WMDE-leszek could you link your suggestion for how to change documentation here?

You can document a few days before changes are merged. Just add them to a "future features" section and use present tense to avoid extra work for translators. They will be moved to the appropriate sections when the feature is available. I've updated T141884 to reflect that.

Lea_WMDE updated the task description. (Show Details)Aug 15 2016, 4:06 PM
Lea_WMDE updated the task description. (Show Details)Sep 2 2016, 4:40 PM
Qgil renamed this task from Make sure all changes are reflected in documentation to Make sure all Notification changes are reflected in documentation.Sep 15 2016, 8:39 AM
Lea_WMDE closed this task as Resolved.Mar 16 2018, 1:13 PM